//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("HangHoa_CoSo")]
    public partial class HangHoa_CoSo
    {
        [Key]
        public int id { get; set; }
        public string MaCoSo { get; set; }
        public string MaHang { get; set; }
        public Nullable<double> SoLuongTonThuc { get; set; }
        public Nullable<double> SoLuongTonAo { get; set; }
        public string GhiChu { get; set; }
        public Nullable<double> GiaKhuyenMai { get; set; }
        public string KhuyenMai2 { get; set; }
        public Nullable<bool> DaXoa { get; set; }
        public Nullable<bool> NgungKinhDoanh { get; set; }
        public Nullable<double> GiaNhap { get; set; }
        public Nullable<double> GiaBan { get; set; }
        public Nullable<double> GiaNhapCuoi { get; set; }
        public Nullable<double> VAT { get; set; }
        public Nullable<double> ChietKhau { get; set; }
        public Nullable<double> SoLuongKhuyenMai2 { get; set; }
        public virtual CoSo CoSo { get; set; }
        public virtual HangHoa HangHoa { get; set; }
    }
}
